#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    cin >> n;int opadanje=0;
    int a[n];
    for(int i=0;i<n;i++)
        cin >> a[i];
    for(int i=0;i<n-1;i++)
    {
        if(a[i+1]<=a[i])
        {
            opadanje++;
        }
        else break;
    }
    cout << "opadanje : " << opadanje << endl;
    if(opadanje == n-1)
    {
        swap(a[n-1],a[n-2]);
    }
    else
    {
        int najveci = -1;
        int indeks;
        for(int i=opadanje+1;i<n;i++)
        {
            if(a[i]>najveci)
            {
                najveci = a[i];
                indeks = i;
            }
        }
        cout <<"indeks: " << indeks << endl;
        for(int i=0;i<n;i++)
        {
            if(a[i]<najveci)
            {
                swap(a[i],a[indeks]);
                break;
            }
        }
    }
    for(int i=0;i<n;i++)
    {
        cout << a[i] << " ";
    }
}